Home

Disassemble program bytes into the TEAL source code.

POST
https://algo.nownodes.io/v2/teal/disassemble

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given the program bytes, return the TEAL source code in plain text. This endpoint is only enabled when a node's configuration file sets EnableDeveloperAPI to true.

Body

application/x-binary

TEAL program binary to be disassembled

string<byte>

Response

200OK

Teal disassembly Result

400Bad Request

Bad Request - Teal Compile Error

401Unauthorized

Invalid API Token

404Not Found

Developer API not enabled

500Internal Server Error

Internal Error

default

Unknown Error